Description: disable tests that interact with a git repo
Forwarded: not-needed

--- a/Unix/t/01_opts.t
+++ b/Unix/t/01_opts.t
@@ -83,42 +83,42 @@
                     'args' => 'issues/132',
                     'ref'  => '../tests/outputs/issues/132/T1.yaml',
                 },
-                {
-                    'name' => '--vcs git issues/132 (github issue #132 T2)',
-                    'cd'   => '../tests/inputs',
-                    'args' => '--vcs git issues/132',
-                    'ref'  => '../tests/outputs/issues/132/T2.yaml',
-                },
-                {
-                    'name' => '--vcs-git --exclude-dir ignore_dir (github issue #132 T3)',
-                    'cd'   => '../tests/inputs/issues/132',
-                    'args' => '--vcs git --exclude-dir ignore_dir .',
-                    'ref'  => '../tests/outputs/issues/132/T3.yaml',
-                },
-                {
-                    'name' => '--vcs git --fullpath --not-match-d issues/132/ignore_dir (github issue #132 T4)',
-                    'cd'   => '../tests/inputs',
-                    'args' => '--vcs git --fullpath --not-match-d issues/132/ignore_dir issues/132',
-                    'ref'  => '../tests/outputs/issues/132/T4.yaml',
-                },
-                {
-                    'name' => '--vcs git --match-f C-Ansi (github issue #132 T5)',
-                    'cd'   => '../tests/inputs',
-                    'args' => '--vcs git --match-f C-Ansi issues/132',
-                    'ref'  => '../tests/outputs/issues/132/T5.yaml',
-                },
-                {
-                    'name' => '--vcs git --match-f "\.c$" (github issue #132 T6)',
-                    'cd'   => '../tests/inputs',
-                    'args' => '--vcs git --match-f "\.c$" issues/132',
-                    'ref'  => '../tests/outputs/issues/132/T6.yaml',
-                },
-                {
-                    'name' => '--vcs "find X" (github issue #147)',
-                    'cd'   => '../tests/inputs',
-                    'args' => '--vcs "find foo_bar"',
-                    'ref'  => '../tests/outputs/issues/147/T1.yaml',
-                },
+#                {
+#                    'name' => '--vcs git issues/132 (github issue #132 T2)',
+#                    'cd'   => '../tests/inputs',
+#                    'args' => '--vcs git issues/132',
+#                    'ref'  => '../tests/outputs/issues/132/T2.yaml',
+#                },
+#                {
+#                    'name' => '--vcs-git --exclude-dir ignore_dir (github issue #132 T3)',
+#                    'cd'   => '../tests/inputs/issues/132',
+#                    'args' => '--vcs git --exclude-dir ignore_dir .',
+#                    'ref'  => '../tests/outputs/issues/132/T3.yaml',
+#                },
+#                {
+#                    'name' => '--vcs git --fullpath --not-match-d issues/132/ignore_dir (github issue #132 T4)',
+#                    'cd'   => '../tests/inputs',
+#                    'args' => '--vcs git --fullpath --not-match-d issues/132/ignore_dir issues/132',
+#                    'ref'  => '../tests/outputs/issues/132/T4.yaml',
+#                },
+#                {
+#                    'name' => '--vcs git --match-f C-Ansi (github issue #132 T5)',
+#                    'cd'   => '../tests/inputs',
+#                    'args' => '--vcs git --match-f C-Ansi issues/132',
+#                    'ref'  => '../tests/outputs/issues/132/T5.yaml',
+#                },
+#                {
+#                    'name' => '--vcs git --match-f "\.c$" (github issue #132 T6)',
+#                    'cd'   => '../tests/inputs',
+#                    'args' => '--vcs git --match-f "\.c$" issues/132',
+#                    'ref'  => '../tests/outputs/issues/132/T6.yaml',
+#                },
+#                {
+#                    'name' => '--vcs "find X" (github issue #147)',
+#                    'cd'   => '../tests/inputs',
+#                    'args' => '--vcs "find foo_bar"',
+#                    'ref'  => '../tests/outputs/issues/147/T1.yaml',
+#                },
                 {
                     'name' => '--read-lang-def w/remove_between_general (github issue #166)',
                     'cd'   => '../tests/inputs/issues/166',
--- a/Unix/t/02_git.t
+++ b/Unix/t/02_git.t
@@ -87,7 +87,7 @@
     print "Directory 'cloc_submodule_test' is not found; git tests skipped.\n";
     print "To enable the tests, create the directory with\n";
     print "    git clone https://github.com/AlDanial/cloc_submodule_test.git\n";
-    ok( 0, "git tests");
+    ok( 1, "git tests skipped during Debian package build");
     print "-" x 79, "\n";
 } else {
     my $results  = 'results.yaml';
